Bug 113953 - Non SWA users get missing table error accessing content center after WS3 land
Non SWA users get missing table error accessing content center after WS3 land
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tzu-Mainn Chen
Jon Orris
:
Depends On:
Blocks: 106481
  Show dependency treegraph
 
Reported: 2004-01-20 11:47 EST by Jon Orris
Modified: 2007-04-18 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 16:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-01-20 11:47:44 EST
Description of problem:
@39523/Postgres

There is a missing table in the tasks panel query for non-SWA users.
This makes it impossible to access the content center, and breaks
every  test.

CCM issue report code: 127.0.0.1:1b532d0:fa342e11bb

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 127.0.0.1:1b532d0:fa342e11bb -*-*-*-
-*-*-*- Message 1: com.arsdigita.persistence.PersistenceException:
null (root cause: ERROR:  Relation "granted_context_non_leaf_map" does
not exist
) -*-*-*-
-*-*-*- Message 2: com.redhat.persistence.engine.rdbms.RDBMSEngine$4:
ERROR:  Relation "granted_context_non_leaf_map" does not exist
 -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: System properties -*-*-*-
ccm.home: /var/ccm-devel/web/jorris/rickshaw
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
:/usr/share/java/servletapi4.jar:/usr/share/java/classes12.zip:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/var/ccm-devel/web/jorris/rickshaw/webapps/WEB-INF/system:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386::libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/rickshaw/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.22-1.2149.nptl
path.separator: :
resin.home: /opt/resin/2.1.4
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /opt/resin/2.1.4
user.home: /home/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true

-*-*-*- Section: Stack trace -*-*-*-
com.redhat.persistence.engine.rdbms.RDBMSEngine$4: ERROR:  Relation
"granted_context_non_leaf_map" does not exist

	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:514)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:430)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:261)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:252)
	at com.redhat.persistence.Cursor.execute(Cursor.java:124)
	at com.redhat.persistence.Cursor.next(Cursor.java:108)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:465)
	at
com.arsdigita.cms.ui.TasksPanel$TaskList.generateXML(TasksPanel.java:512)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.Page.generateXML(Page.java:642)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:765)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:281)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:296)
	at
com.arsdigita.cms.dispatcher.ContentCenterDispatcher.dispatch(ContentCenterDispatcher.java:146)
	at
com.arsdigita.sitenode.SiteNodeDispatcher.doDispatch(SiteNodeDispatcher.java:432)
	at
com.arsdigita.sitenode.SiteNodeDispatcher.access$100(SiteNodeDispatcher.java:83)
	at
com.arsdigita.sitenode.SiteNodeDispatcher$1.excurse(SiteNodeDispatcher.java:263)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.sitenode.SiteNodeDispatcher.dispatch(SiteNodeDispatcher.java:249)
	at
com.arsdigita.dispatcher.BaseDispatcherServlet.service(BaseDispatcherServlet.java:362)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at
com.caucho.server.http.QNamedDispatcher.forward(QNamedDispatcher.java:157)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:199)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:141)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:272)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=a2XrdYDROEZg;
ad_user_login=2001!1169225255759!oHY2cZuX9XVhXfc+43iFyQ==
Host: localhost:9000
Keep-Alive: 300
Referer: http://localhost:9000/ccm/pvt/
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@7a16e0 = {
m_page = com.arsdigita.cms.ui.WorkspacePage@3b67a7,
m_request = com.caucho.server.http.HttpRequest@d290f2,
m_response = com.caucho.server.http.HttpResponse@173ef3f,
m_pageState = com.arsdigita.bebop.FormData@602762 = {
m_parameterDataValues = {bbp.41.sel={1, []}, bbp.23.col={null, []},
g11n.enc={UTF-8, []}, bbp.57.sel={null, []}, bbp.37.ps={15, []},
bbp.3.pane={0, []}, bbp.i={{18}, []}, type_id={null, []}, bbp.e={null,
[]}, bbp.v={null, []}, section_id={null, []}, bbp.4.f={null, []},
sortType={null, []}, bbp.s={null, []}, sortDirection={null, []},
lockFilterType={null, []}, bbp.23.row={null, []}, bbp.13.bid={null,
[]}, page={null, []}, bbp.15.sectionId={null, []}, single_type={null,
[]}, bbp.13.iid={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@b9b80d,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {5, 8, 9, 10, 11, 15, 18, 38, 47}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.bebop.RequestLocal@1891842=null,
com.arsdigita.bebop.RequestLocal@1a3e686=null,
com.arsdigita.bebop.RequestLocal@1cc5d5a=null,
com.arsdigita.bebop.RequestLocal@1290155=null,
com.arsdigita.bebop.RequestLocal@17378ab=null,
com.arsdigita.bebop.RequestLocal@1edf0d4=null,
com.arsdigita.bebop.RequestLocal@78d3d7=null,
com.arsdigita.bebop.Page$1@ea9f6e=com.arsdigita.bebop.Label@1a41a8d,
com.arsdigita.bebop.Table$3@1af89c5=com.arsdigita.cms.ui.ContentSectionContainer$ContentSectionTable$ContentSectionTableModel@cb531c,
com.arsdigita.bebop.RequestLocal@13450f7=null,
com.arsdigita.bebop.RequestLocal@9c00ea=null,
com.arsdigita.bebop.form.OptionGroup$1@e041be=[],
com.arsdigita.bebop.RequestLocal@1a69971=null,
com.arsdigita.bebop.RequestLocal@aeddb5=null,
com.arsdigita.bebop.RequestLocal@a3fac6=null,
com.arsdigita.toolbox.ui.ContextBar$1@1ca01f0=[com.arsdigita.toolbox.ui.ContextBar$Entry@bd9138],
com.arsdigita.bebop.RequestLocal@4eecb=null,
com.arsdigita.bebop.RequestLocal@ea2a0d=null,
com.arsdigita.bebop.RequestLocal@10a2d0d=null,
com.arsdigita.bebop.RequestLocal@84c229=null,
com.arsdigita.bebop.Form$2@1d4894c=,
com.arsdigita.bebop.RequestLocal@1403290=null,
com.arsdigita.bebop.RequestLocal@926c19=null,
com.arsdigita.bebop.RequestLocal@11696ec=null,
com.arsdigita.bebop.RequestLocal@16ed69e=null,
com.arsdigita.bebop.RequestLocal@1b79cfd=null,
com.arsdigita.bebop.RequestLocal@1f72a79=null,
com.arsdigita.bebop.RequestLocal@1d97556=null,
com.arsdigita.bebop.RequestLocal@37546c=null,
com.arsdigita.bebop.RequestLocal@22c2=null}
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@1892b4e
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@147480e=null}
com.arsdigita.web.BaseServlet.request_url: /ccm/content-center/
com.arsdigita.web.DispatcherServlet.falling_back: true

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/content-center/
Query string: null
Method: GET
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: a2XrdYDROEZg (expires: -1)
ad_user_login: 2001!1169225255759!oHY2cZuX9XVhXfc+43iFyQ== (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*
Comment 1 Scott Seago 2004-01-20 11:53:52 EST
Mainn, I think your filtering query is referring to a table which was
recently removed.
Comment 2 Tzu-Mainn Chen 2004-01-20 13:31:53 EST
Checked in a fix

Note You need to log in before you can comment on or make changes to this bug.